Bug 1290995 - Review Request: python-visionegg-quest - QUEST algorithm for finding threshold
Summary: Review Request: python-visionegg-quest - QUEST algorithm for finding threshold
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro python-psychopy
TreeView+ depends on / blocked
 
Reported: 2015-12-12 15:16 UTC by Igor Gnatenko
Modified: 2018-11-13 02:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-12 02:13:41 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-12-12 15:16:19 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-visionegg-quest.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-visionegg-quest-1.1-1.fc24.src.rpm
Description: QUEST algorithm for finding threshold.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-13 03:00:50 UTC
+ license is OK (BSD)
+ license file is missing, but the only source file has a prominent license header
+ latest version (upstream is semi-dead, but I think it doesn't really mean much for scientific software)
+ new python packaging template is used
+ provides/requires are OK
+ builds and install OK
+ no scriptlets
+ fedora review is happy

Rpmlint
-------
Checking: python2-visionegg-quest-1.1-1.fc24.noarch.rpm
          python3-visionegg-quest-1.1-1.fc24.noarch.rpm
          python-visionegg-quest-1.1-1.fc24.src.rpm
python2-visionegg-quest.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/Quest.py 644 /usr/bin/env
python3-visionegg-quest.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/Quest.py 644 /usr/bin/env
I guess you could fix that.

python2-visionegg-quest.noarch: W: no-documentation
python3-visionegg-quest.noarch: W: no-documentation
python3-visionegg-quest.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/__pycache__/Quest.cpython-35.opt-1.pyc
3 packages and 0 specfiles checked; 2 errors, 3 warnings.

Package is APPROVED.

Comment 2 Mike McCune 2016-03-28 23:47:57 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 3 Gwyn Ciesla 2016-08-15 15:01:35 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-visionegg-quest

Comment 4 Ankur Sinha (FranciscoD) 2018-06-23 17:13:34 UTC
Hiya,

There are no builds for the package. I can build for the current releases if you add the package to the neuro-sig src.fp.org group.

Cheers,
Ankur

Comment 5 Igor Gnatenko 2018-08-22 07:29:46 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.

Comment 6 Ankur Sinha (FranciscoD) 2018-08-22 10:19:30 UTC
Please give the neurofedora packager group commit access to this and one of us will build and update it.

Thanks

Comment 7 Ankur Sinha (FranciscoD) 2018-11-03 12:13:04 UTC
Imported, being built now.

Comment 8 Fedora Update System 2018-11-03 12:25:39 UTC
python-visionegg-quest-1.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2488fa18c6

Comment 9 Fedora Update System 2018-11-03 12:25:48 UTC
python-visionegg-quest-1.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f5a8ffb9aa

Comment 10 Fedora Update System 2018-11-03 12:25:57 UTC
python-visionegg-quest-1.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c43103b9f7

Comment 11 Fedora Update System 2018-11-04 02:55:03 UTC
python-visionegg-quest-1.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f5a8ffb9aa

Comment 12 Fedora Update System 2018-11-04 06:38:46 UTC
python-visionegg-quest-1.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2488fa18c6

Comment 13 Fedora Update System 2018-11-04 22:31:30 UTC
python-visionegg-quest-1.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c43103b9f7

Comment 14 Fedora Update System 2018-11-12 02:13:41 UTC
python-visionegg-quest-1.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-11-12 05:21:35 UTC
python-visionegg-quest-1.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-11-13 02:27:15 UTC
python-visionegg-quest-1.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.